//  Project       : Toolbox
//  Workpackage   : libCommExtraction 
//
//               Copyright (C) 2015, 2019, ...
//            Deutsches Zentrum fuer Luft- und Raumfahrt e.V.
//                       German Aerospace Center
//
//       Institut fuer Flugfuehrung/Institute of Flight Guidance
//              Tel. +49 531 295 2501, Fax: +49 531 295 2550
//                 WWW: http://www.bs.dlr.de/FL/
//
//  These coded instructions, statements, and computer programs contain
//  unpublished proprietary information of the German Aerospace Center
//  and are protected by the copyright law. They may not be disclosed to
//  third parties or copied or duplicated in any form,in whole or in part,
//  without the prior written consent of the German Aerospace Center


/*!
\file  testMakros.h


\author Hartmut Helmke (HHe)

\date 2015-09-xx HHe : first version

*/

#ifndef __TEST_MAKROS
#define __TEST_MAKROS

// Makro, der einen Test aufruft. Falls der Test scheitert, wird
// der Name der durchgefuehrten Testfunktion in roter Farbe auf dem Bildschirm 
// ausgegeben und die Variable result aus false gesetzt.
#define PERFORM_AND_OUTPUT(test)      \
{if (!test())                         \
   {                                  \
   cout << " ---- Gescheitert ist ";  \
   printScreenColorOnceVal(cout, RED_SCREEN_COLOR, #test); \
   cout << " ----\n";                 \
   result = false;                    \
}}

#endif

